<?php get_header() ?>
	<div id="contentwrap">
 		<?php if(have_posts()): ?>
		<?php $post = $posts[0]; // Hack. Set $post so that the_date() works. ?>
		<?php /* If this is a category archive */ if (is_category()) { ?>
		<h2 class="pagetitle">Архив категории: <?php single_cat_title(); ?></h2>
 	  <?php /* If this is a tag archive */ } elseif( is_tag() ) { ?>
		<h2 class="pagetitle">Теги: <?php single_tag_title(); ?></h2>
 	  <?php /* If this is a daily archive */ } elseif (is_day()) { ?>
	<h2 class="pagetitle">Архивы за день: <?php the_time('F jS, Y'); ?></h2>
 	   <?php /* If this is a monthly archive */ } elseif (is_month()) { ?>
 	  	<h2 class="pagetitle">Архивы за месяц: <?php the_time('F, Y'); ?></h2>
 	   <?php /* If this is a yearly archive */ } elseif (is_year()) { ?>
 	  	<h2 class="pagetitle">Архивы за год <?php the_time('Y'); ?></h2>
 	  <?php /* If this is an author archive */ } elseif (is_author()) { ?>
 	  	<h2 class="pagetitle">Архивы автора</h2>
 	   <?php /* If this is a paged archive */ } elseif (isset($_GET['paged']) && !empty($_GET['paged'])) { ?>
 	  	<h2 class="pagetitle">Архивы блога</h2>
		<?php } ?>
		<?php while (have_posts()) : the_post(); ?>

			<div <?php post_class() ?> id="post-<?php the_ID(); ?>">
            <div class="postl"><span class="day"><?php the_time('d'); ?></span><br /><?php the_time('m.y'); ?></div>
            <div class="postr">
               <span class="comm"><?php comments_popup_link('0', '1', '%'); ?></span>
				<h2><a href="<?php the_permalink() ?>" rel="bookmark" title="Ссылка на <?php the_title_attribute(); ?>"><?php the_title(); ?></a></h2>
				<div class="entry">
                <?php the_excerpt(''); ?>
				</div>

            	<div class="meta"><a class="more-link" href="<?php the_permalink() ?>#more">далее</a> <span class="author">Автор <?php the_author(); ?></span> <span class="cat">Опубликовано в <?php the_category(', ') ?></span></div>
			</div>
			</div>

		<?php endwhile; ?>

		<div class="navigation">
        <?php
            include('includes/wp-pagenavi.php');
            if(function_exists('wp_pagenavi')) { wp_pagenavi(); }
        ?>
		</div>

	<?php else : ?>

		<h2 class="center">Не найдено</h2>
		<p class="center">По Вашему запрому ничего не найдено.</p>
		<?php get_search_form(); ?>

	<?php endif; ?>
</div>
<?php get_sidebar(); ?>
<?php get_footer(); ?>
